Page MenuHomePhabricator

If a user is partially blocked from a namespace, they should not be allowed to rename/move pages into or out of that namespace
Closed, ResolvedPublic

Description

After T2674: Allow users to be blocked from editing a specific article or all articles inside a namespace is built, we will want to address page moves/renames into the blocked namespace.


Examples

User:Apples is blocked from editing within the Foo: namespaces. Using the Special:MovePage tool,

  • They should not be able to move any pages within the namespace
    • Foo:Mars to Foo:Mercury
  • They should not be able to move any pages out of the namespace
    • Foo:Earth to Bar:Earth
    • Foo:Pluto to Bar:Saturn
  • They should not be able to move any pages into the namespace
    • Bar:Venus to Foo:Venus
    • Bar:Jupiter to Foo:Uranus

Notes

Users will always be able to manually copy+paste a page's content or wikitext — we have no plans to intercept this behavior.

Event Timeline

Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptJun 18 2018, 5:26 PM
TBolliger updated the task description. (Show Details)Jun 18 2018, 5:29 PM
TBolliger moved this task from Untriaged to Backlog on the Anti-Harassment board.Jun 26 2018, 7:13 PM
Vvjjkkii renamed this task from If a user is partially blocked from a namespace, they should not be allowed to moved pages into or out of that namespace to upaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
jrbs renamed this task from upaaaaaaaa to If a user is partially blocked from a namespace, they should not be allowed to moved pages into or out of that namespace.Jul 1 2018, 3:39 AM
jrbs raised the priority of this task from High to Needs Triage.
jrbs updated the task description. (Show Details)
jrbs added a subscriber: Aklapper.
TBolliger moved this task from Backlog to Snackbox on the Anti-Harassment board.Sep 26 2018, 5:23 PM
TBolliger renamed this task from If a user is partially blocked from a namespace, they should not be allowed to moved pages into or out of that namespace to If a user is partially blocked from a namespace, they should not be allowed to rename/move pages into or out of that namespace.Oct 15 2018, 10:57 PM
TBolliger updated the task description. (Show Details)
TBolliger moved this task from Snackbox to Backlog on the Anti-Harassment board.Jan 30 2019, 11:05 PM
TBolliger triaged this task as Medium priority.Jan 30 2019, 11:08 PM
TBolliger closed this task as Resolved.Feb 13 2019, 10:05 PM
TBolliger claimed this task.

Works as expected! Here are the error messages:

That's great news! :)